Delete
curl --request DELETE \
--url https://{tenantDomain}.conductor.one/api/v1/reporting/reports/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/reporting/reports/{id}"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/reporting/reports/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}Report
Delete
Delete removes a report by ID. The report’s saved program is removed with it, so the report can no longer be re-run. Only the report’s creator can delete it.
DELETE
/
api
/
v1
/
reporting
/
reports
/
{id}
Delete
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Path Parameters
The id field.
Body
application/json
The ReportingServiceDeleteRequest message.
Response
200 - application/json
Successful response
The ReportingServiceDeleteResponse message.
Was this page helpful?